package org.jvnet.jaxb2_commons.plugin;

import java.util.ArrayList;
import java.util.Collection;

import javax.xml.namespace.QName;

import org.jvnet.jaxb2_commons.util.CustomizationUtils;

import com.sun.tools.xjc.outline.ClassOutline;
import com.sun.tools.xjc.outline.FieldOutline;

public class Customizations {

	public static String NAMESPACE_URI = "http://jaxb2-commons.dev.java.net/basic";

	public static QName GENERATED_ELEMENT_NAME = new QName(NAMESPACE_URI,
			"generated");

	public static Collection<FieldOutline> getNonGeneratedFieldOutlines(
			ClassOutline classOutline) {
		final FieldOutline[] declaredFieldOutlines = classOutline
				.getDeclaredFields();

		final Collection<FieldOutline> fieldOutlines = new ArrayList<FieldOutline>(
				declaredFieldOutlines.length);

		for (FieldOutline fieldOutline : declaredFieldOutlines) {
			if (!CustomizationUtils.containsCustomization(fieldOutline,
					GENERATED_ELEMENT_NAME)) {
				fieldOutlines.add(fieldOutline);
			}
		}
		return fieldOutlines;

	}

}
